# PlatformIO IDE for Atom

[PlatformIO](http://platformio.org/) is an open source ecosystem
for IoT development. Cross-platform code builder and library manager.
Continuous and IDE integration. Arduino and MBED compatible.
Ready for Cloud compiling.

*Atmel AVR & SAM, Espressif, Freescale Kinetis, Nordic nRF51, NXP LPC,
Silicon Labs EFM32, ST STM32, TI MSP430 & Tiva, Teensy, Arduino, mbed,
libOpenCM3, ESP8266, etc.*

## Features

* Cross-platform builder without external dependencies to the system
  software:

    - 200+ embedded boards
    - 15+ development platforms
    - 10+ frameworks

* C/C++ Intelligent code completion
* C/C++ Code Linter
* Library Manager
* Built-in Terminal  

## Requirements

The only one requirement is [Python Interpreter](https://www.python.org). PlatformIO is written in Python and works on Mac OS X, Linux, Windows OS and ARM-based credit-card sized computers (Raspberry Pi, BeagleBone, CubieBoard).

*Windows OS*: Please [Download the latest Python 2.7.x](https://www.python.org/downloads/)
and install it. DON'T FORGET to select `Add python.exe to PATH` feature on
the "Customize" stage, otherwise `python` command will not be available).

## Documentation

Please follow to the official documentation [PlatformIO IDE for Atom](http://docs.platformio.org/en/latest/ide/atom.html).

![PlatformIO IDE for Atom](http://docs.platformio.org/en/latest/_images/ide-atom-platformio.png "PlatformIO IDE for Atom")

## Licence

Copyright (C) 2016 Ivan Kravets. All rights reserved.
